Subject: bug#42150: 28.0.50; Bad mouse interaction in the scroll-margin region

From: Stefan Kangas <[email-masked]>
Date: Wed, 2 Sep 2020 18:03:15 -0400

Eli Zaretskii <[email-masked]> writes:

>> This in turn often results in the click becoming a "drag" instead,
>> selecting parts of the buffer.
>
> This part I couldn't reproduce.  Maybe it's specific to the
> window-system you are using or to something else that isn't Emacs per
> se.

I can reproduce this if I click mouse-1, hold the mouse button down and
then move the mouse cursor.  Tried on:

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
version 1.16.0, Xaw3d scroll bars)
 of 2020-08-17 built on joffe

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.22, cairo version 1.16.0)
 of 2020-09-02 built on joffe